package com.sf._01_异常入门.demo2;

public class Test {
    /**
     * LoginMessage这是个javaBean 类
     * success(boolean)   message(String)
     *
     * 做登录
     * String username = admin;
     * String password = 123123;
     * 账号等于admin  密码等于123  登录成功 穿管LoginMessage(true,登录成功)
     * username.equalas("admin")&& password.equals("123")
     * 账号不等于admin 密码不等于123 返回 LoginMessage(false,登录失败)
     *
     * 如果代码出现了异常  LoginMessage(false, 登录失败原因)
     * 并且要出现异常在控制台当中打印出来 e.printstack..
     */

    public static void main(String[] args) {
        String username = null;
        String password ="123123";
        try{
            login(username,password);
        }catch (Exception e){
            System.out.println(new LoginMessage(false,"账号密码不能为空"));
            e.printStackTrace();
        }

    }
    public static void login(String username,String password){

        if(username.equals("admin") &&password.equals("123")){
            System.out.println(new LoginMessage(true,"登录成功"));
        }else{
            System.out.println(new LoginMessage(false,"登录失败"));
        }
    }

}
